Skip to main content
GET
/
api
/
auto-apply
/
applications
List applications
curl --request GET \
  --url https://connect.jobo.world/api/auto-apply/applications \
  --header 'X-Api-Key: <api-key>'
{
  "items": [
    {
      "id": "f3b9c2d1-7e8a-4b5c-9d0e-1f2a3b4c5d6e",
      "profile_id": "8c5e6d0a-9f2b-4c1e-b7a3-2f4d5e6a7b8c",
      "job_url": "https://boards.greenhouse.io/acme/jobs/4567890",
      "session_id": "6f1d2b3c-4a5e-4f60-9b7a-8c9d0e1f2a3b",
      "provider_id": "greenhouse",
      "provider_name": "Greenhouse",
      "status": "running",
      "failure_reason": null,
      "error": null,
      "steps_completed": 3,
      "fields_filled": 24,
      "duration_ms": 93000,
      "step_log": [
        {
          "step": 1,
          "action": "fill_fields",
          "status": "ok",
          "fields_count": 12,
          "error": null,
          "timestamp": "2026-07-05T10:15:42Z",
          "fields": [
            {
              "field_id": "f0:cards[123]_field0",
              "label": "Full name",
              "type": "text",
              "required": true,
              "value": "John W. Smith",
              "status": "filled",
              "options": [
                {
                  "value": "us",
                  "text": "United States"
                }
              ],
              "note": null,
              "error": null
            }
          ]
        }
      ],
      "created_at": "2026-07-05T10:15:00Z",
      "completed_at": null
    }
  ],
  "total_count": 42,
  "page": 1,
  "page_size": 20,
  "total_pages": 3
}

Authorizations

X-Api-Key
string
header
required

API key provided by Jobo

Query Parameters

profile_id
string<uuid>

Only return applications submitted with this profile.

page
integer
default:1

Page number (1-indexed).

Required range: x >= 1
page_size
integer
default:20

Results per page.

Required range: 1 <= x <= 100

Response

Paged list of applications

Paged list of applications, newest first.

items
object[]

Applications on this page.

total_count
integer

Total applications matching the filter.

Example:

42

page
integer

Current page number (1-indexed).

Example:

1

page_size
integer

Results per page.

Example:

20

total_pages
integer

Total number of pages.

Example:

3